﻿using RecrownedAthenaeum.UI.Skin.Definitions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RecrownedAthenaeum.UI.Skin
{
    public class SkinData
    {
        public string nameOfTextureAtlas;
        public ColorData[] colors;
        public FontData[] fonts;
        public DefinitionData[] definitions;

        public class ColorData
        {
            string name;
            int r, g, b;
        }

        public class FontData
        {
            string name;
            string font;
        }

        public class DefinitionData
        {
            string name;
            ISkinDefinition skin;
        }
    }
}
